- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Blis-0.92.0/Osi/test/OsiTestSolver.hpp File Reference

`#include <cfloat>`
`#include <algorithm>`
`#include <cstdio>`
`#include <cmath>`
`#include "CoinFinite.hpp"`

Include dependency graph for OsiTestSolver.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | VOL_parms
| This class contains the parameters controlling the Volume Algorithm. More...
class | VOL_dvector
| vector of doubles. More...
class | VOL_ivector
| vector of ints. More...
class | VOL_primal
class | VOL_dual
class | VOL_swing
class | VOL_alpha_factor
class | VOL_vh
class | VOL_indc
class | VOL_user_hooks
| The user hooks should be overridden by the user to provide the problem specific routines for the volume algorithm. More...
class | VOL_problem
| This class holds every data for the Volume Algorithm and its `solve` method must be invoked to solve the problem. More...
## Defines
#define | VOL_DEBUG 0
#define | VOL_TEST_INDEX(i, size)
#define | VOL_TEST_SIZE(size)
## Functions
template<class T>
static T | VolMax (register const T x, register const T y)
template<class T>
static T | VolAbs (register const T x)

## Define Documentation

#define VOL_DEBUG 0

Definition at line 19 of file OsiTestSolver.hpp.

#define VOL_TEST_INDEX | ( | i,
|  | size |  | ) |

Definition at line 50 of file OsiTestSolver.hpp.

Referenced by VOL_ivector::operator[](), and VOL_dvector::operator[]().

#define VOL_TEST_SIZE | ( | size |  | ) |

Definition at line 51 of file OsiTestSolver.hpp.

Referenced by VOL_ivector::allocate(), VOL_dvector::allocate(), VOL_dvector::VOL_dvector(), and VOL_ivector::VOL_ivector().

## Function Documentation

template<class T>

static T VolMax | ( | register const T | x,
|  | register const T | y |
| ) |  |  | `[inline, static]`

Definition at line 23 of file OsiTestSolver.hpp.

Referenced by VOL_swing::lfactor().

template<class T>

static T VolAbs | ( | register const T | x | ) | `[inline, static]`

Definition at line 28 of file OsiTestSolver.hpp.

Referenced by VOL_alpha_factor::factor().